[DEFAULT]
auth_strategy = keystone
core_plugin = ml2
service_plugins = router
allow_overlapping_ips = true
dns_domain = {{ neutron_dns_domain }}
notify_nova_on_port_status_changes = true
notify_nova_on_port_data_changes = true
global_physnet_mtu = {{ neutron_global_physnet_mtu }}
dhcp_agents_per_network = {{ neutron_dhcp_agents_per_network }}
l3_ha = {{ neutron_l3_ha }}
#debug = false
#log_config_append = <None>
#log_date_format = %Y-%m-%d %H:%M:%S
#log_file = <None>
#log_dir = <None>
#watch_log_file = false
#use_syslog = false
#use_journal = false
#syslog_log_facility = LOG_USER
#use_json = false
#use_eventlog = false
#log_rotate_interval = 1
#log_rotate_interval_type = days
#max_logfile_count = 30
#max_logfile_size_mb = 200
#log_rotation_type = none
#logging_context_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [%(request_id)s %(user_identity)s] %(instance)s%(message)s
#logging_default_format_string = %(asctime)s.%(msecs)03d %(process)d %(levelname)s %(name)s [-] %(instance)s%(message)s
#logging_debug_format_suffix = %(funcName)s %(pathname)s:%(lineno)d
#logging_exception_prefix = %(asctime)s.%(msecs)03d %(process)d ERROR %(name)s %(instance)s
#logging_user_identity_format = %(user)s %(tenant)s %(domain)s %(user_domain)s %(project_domain)s
#default_log_levels = amqp=WARN,amqplib=WARN,boto=WARN,qpid=WARN,sqlalchemy=WARN,suds=INFO,oslo.messaging=INFO,oslo_messaging=INFO,iso8601=WARN,requests.packages.urllib3.connectionpool=WARN,urllib3.connectionpool=WARN,websocket=WARN,requests.packages.urllib3.util.retry=WARN,urllib3.util.retry=WARN,keystonemiddleware=WARN,routes.middleware=WARN,stevedore=WARN,taskflow=WARN,keystoneauth=WARN,oslo.cache=INFO,oslo_policy=INFO,dogpile.core.dogpile=INFO
#publish_errors = false
#instance_format = "[instance: %(uuid)s] "
#instance_uuid_format = "[instance: %(uuid)s] "
#rate_limit_interval = 0
#rate_limit_burst = 0
#rate_limit_except_level = CRITICAL
#fatal_deprecations = false
#rpc_conn_pool_size = 30
#conn_pool_min_size = 2
#conn_pool_ttl = 1200
#executor_thread_pool_size = 64
#rpc_response_timeout = 60

transport_url = {{ rabbit_transport_url }}
#control_exchange = neutron
#wsgi_log_format = %(client_ip)s "%(request_line)s" status: %(status_code)s  len: %(body_length)s time: %(wall_seconds).7f
#tcp_keepidle = 600
#wsgi_default_pool_size = 100
#max_header_line = 16384
#wsgi_keep_alive = true
#client_socket_timeout = 900

[cors]
#allowed_origin = <None>
#allow_credentials = true
#expose_headers =
#max_age = 3600
#allow_methods = OPTIONS,GET,HEAD,POST,PUT,DELETE,TRACE,PATCH
#allow_headers =

[database]
connection = mysql+pymysql://neutron:{{ openstack_neutron_db_password }}@{{ neutron_database_host }}/neutron
#sqlite_synchronous = true
#backend = sqlalchemy
#connection = <None>
#slave_connection = <None>
#mysql_sql_mode = TRADITIONAL
#mysql_enable_ndb = false
#connection_recycle_time = 3600
#min_pool_size = 1
#max_pool_size = 5
#max_retries = 10
#retry_interval = 10
#max_overflow = 50
#connection_debug = 0
#connection_trace = false
#pool_timeout = <None>
#use_db_reconnect = false
#db_retry_interval = 1
#db_inc_retry_interval = true
#db_max_retry_interval = 10
#db_max_retries = 20
#connection_parameters =

[keystone_authtoken]
www_authenticate_uri = {{ openstack_ks_url }}
#auth_uri = <None>
auth_url = {{ openstack_ks_url }}
memcached_servers = {{ openstack_memcached_servers }}
auth_type = password
project_domain_name = Default
user_domain_name = Default
project_name = service
username = neutron
password = {{ openstack_admin_password }}

#auth_version = <None>
#delay_auth_decision = false
#http_connect_timeout = <None>
#http_request_max_retries = 3
#cache = <None>
#certfile = <None>
#keyfile = <None>
#cafile = <None>

insecure = {{ ssl_no_verify }}
#region_name = <None>
#signing_dir = <None>
#memcached_servers = <None>
#token_cache_time = 300
#memcache_security_strategy = None
#memcache_secret_key = <None>
#memcache_pool_dead_retry = 300
#memcache_pool_maxsize = 10
#memcache_pool_socket_timeout = 3
#memcache_pool_unused_timeout = 60
#memcache_pool_conn_get_timeout = 10
#memcache_use_advanced_pool = false
#include_service_catalog = true
#enforce_token_bind = permissive
#hash_algorithms = md5

service_token_roles = service
service_token_roles_required = False
#auth_type = <None>
#auth_section = <None>

[nova]
auth_url = {{ openstack_ks_url }}
auth_type = password
project_domain_name = default
user_domain_name = default
region_name = RegionOne
project_name = service
username = nova
password = {{ openstack_admin_password }}
insecure = {{ neutron_nova_auth_insecure }}

[oslo_concurrency]
lock_path = /var/lib/neutron/tmp
#disable_process_locking = false

[oslo_messaging_amqp]
#container_name = <None>
#idle_timeout = 0
#trace = false
#ssl = false
#ssl_ca_file =
#ssl_cert_file =
#ssl_key_file =
#ssl_key_password = <None>
#ssl_verify_vhost = false
#sasl_mechanisms =
#sasl_config_dir =
#sasl_config_name =
#sasl_default_realm =
#connection_retry_interval = 1
#connection_retry_backoff = 2
#connection_retry_interval_max = 30
#link_retry_delay = 10
#default_reply_retry = 0
#default_reply_timeout = 30
#default_send_timeout = 30
#default_notify_timeout = 30
#default_sender_link_timeout = 600
#addressing_mode = dynamic
#pseudo_vhost = true
#server_request_prefix = exclusive
#broadcast_prefix = broadcast
#group_request_prefix = unicast
#rpc_address_prefix = openstack.org/om/rpc
#notify_address_prefix = openstack.org/om/notify
#multicast_address = multicast
#unicast_address = unicast
#anycast_address = anycast
#default_notification_exchange = <None>
#default_rpc_exchange = <None>
#reply_link_credit = 200
#rpc_server_credit = 100
#notify_server_credit = 100
#pre_settled = rpc-cast
#pre_settled = rpc-reply

[oslo_messaging_kafka]
#kafka_max_fetch_bytes = 1048576
#kafka_consumer_timeout = 1.0
#pool_size = 10
#conn_pool_min_size = 2
#conn_pool_ttl = 1200
#consumer_group = oslo_messaging_consumer
#producer_batch_timeout = 0.0
#producer_batch_size = 16384
#enable_auto_commit = false
#max_poll_records = 500
#security_protocol = PLAINTEXT
#sasl_mechanism = PLAIN
#ssl_cafile =

[oslo_messaging_notifications]
#driver =
#transport_url = <None>
#topics = notifications
#retry = -1

[oslo_messaging_rabbit]
#amqp_durable_queues = false
#amqp_auto_delete = false
#ssl = false
#ssl_version =
#ssl_key_file =
#ssl_cert_file =
#ssl_ca_file =
#kombu_reconnect_delay = 1.0
#kombu_compression = <None>
#kombu_missing_consumer_retry_timeout = 60
#kombu_failover_strategy = round-robin
#rabbit_login_method = AMQPLAIN

rabbit_retry_interval = 1
rabbit_retry_backoff = 2
rabbit_interval_max = 10
#rabbit_durable_queues = false
#rabbit_ha_queues = false
#rabbit_transient_queues_ttl = 60
#rabbit_qos_prefetch_count = 0
#heartbeat_timeout_threshold = 60
#heartbeat_rate = 2

[oslo_middleware]
#enable_proxy_headers_parsing = false

[oslo_policy]
#enforce_scope = false
#policy_file = policy.json
#policy_default_rule = default
#policy_dirs = policy.d
#remote_content_type = application/x-www-form-urlencoded
#remote_ssl_verify_server_crt = false
#remote_ssl_ca_crt_file = <None>
#remote_ssl_client_crt_file = <None>
#remote_ssl_client_key_file = <None>

[privsep]
#user = <None>
#group = <None>
#capabilities =
#thread_pool_size = 8
#helper_command = <None>

[ssl]
#ca_file = <None>
#cert_file = <None>
#key_file = <None>
#version = <None>
#ciphers = <None>
